1.1
1.1
get /v1/configinspection/diagnosis/list
Description
config inspection 목록 가져오기
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | limit Example : 20 | any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | isMine optional | 나의 Config Inspection Example : False | boolean | False |
| query | diagnosis_id optional | 진단 ID Example : DIA-943731CB8E3045C289BAECAEC3532097 | any of [string, null] | None |
| query | diagnosis_name optional | 진단명 Example : My Diagnosis | any of [string, null] | None |
| query | csp_type optional | 클라우드 서비스 제공자의 유형 Example : SCP | any of [string, null] | None |
| query | diagnosis_account_id optional | 진단 ID Example : 0e3dffc50eb247a1adf4f2e5c82c4f99 | any of [string, null] | None |
| query | recent_diagnosis_state optional | 최근 진단 상태 Example : Completed | any of [array[string], null] | None |
| query | start_date optional | 시작일 Example : 2022-01-01 12:00:00 | any of [string, null] | None |
| query | end_date optional | 종료일 Example : 2022-01-02 12:00:00 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ConfigInspectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/list
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"summary_responses": [
{
"created_at": "2022-01-01T12:00:00Z",
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"error_state": "CONNECTION_FAIL",
"plan_type": "STANDARD",
"recent_diagnosis_at": "2022-01-01T12:00:00Z",
"recent_diagnosis_state": "Completed"
}
]
}